#include <stdio.h>
#include <stdlib.h>
#include <string.h>

main(argc, argv) 
  int argc;
  char *argv[];
{
  int x, y;
  float m;
  float totalMag;
  FILE *fd;

  if (argc < 2) {
     printf("Usage:  check [infile]\n");
     exit(0);
  }

  fd = fopen(argv[1], "r");
  if (!fd) {
     printf("error opening file for input\n");
     exit(0);
  }
    
  /* total the frequencies */
  totalMag = 0;
  while (!feof(fd)) {
    fscanf(fd, "%d %d %e", &x, &y, &m);     /* x, y, magnitude */
    totalMag += m;
  }
  printf("totalMag : %0.5e\n", totalMag); 
  fclose(fd);
}
